Eclipse Platform Release 3.7

## org.eclipse.jface.util
Class StatusHandler

    java.lang.Object
      org.eclipse.jface.util.StatusHandler

    public abstract class StatusHandler

extends Object

A mechanism to handle statuses throughout JFace.

Clients may provide their own implementation to change how statuses are handled from within JFace.

Since:
  3.4
See Also:
  `Policy.getStatusHandler()`, `Policy.setStatusHandler(StatusHandler)`

Constructor Summary
`StatusHandler()`

Method Summary
`abstract void` `show(IStatus status, String title)` Show the given status.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusHandler

    public StatusHandler()

Method Detail

### show

    public abstract void show(IStatus status,
                              String title)

  Show the given status.

  Parameters:
    `status` - status to handle
    `title` - title for the status

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.